#include <iostream>
#include <string>

using namespace std;
int main()
{
	string a,b,c;
	string s[6];
	cin>>a>>b>>c;
	string max="1021010";
	//cout<<a<<" "<<b<<" "<<c
	/*s[1]=a+b+c;
	s[2]=a+c+b;
	s[3]=b+a+c;
	s[4]=b+c+a;
	s[5]=c+a+b;
	s[6]=c+b+a;
	max=s[1];
	for(int i=2;i<=6;i++)
	{
		//if(max.compare(s[i])<0)
			max=s[i];
	}*/
	for(int i=0;i<max.size();i++)
		printf("%d", max[i]-'0');
	return 0;
}